import requests
from api_auth import APICredentials, APIParams
channel_id = 'Hak3zjnPLSW5o0j8GMpzRMsa' # Replace with the ID for the desired live channel.
schedule_id = '2158c7452b7841158972e019a5bd5f12'  # Replace with the ID for the desired schedule entry.

class ScheduleEntry:   
    def __init__(self):
        self.host = "https://services.uplynk.com"

    def run(self):
        self._get_schedule_entry()

    def _get_schedule_entry(self):
        url = "{}{}{}{}{}".format(self.host, "/api/v4/channels/", channel_id, "/schedules/", schedule_id)

        headers = {'Content-Type': 'application/json'}

        response = requests.get(
            url, params=APIParams(APICredentials()).get_params({}), headers=headers
        )
  
        print(response.json())
  
ScheduleEntry().run()
